/***********************************************************************************************************************
 *
 * SolidBlue - open source safe data
 * Copyright (C) 2011-2012 by Tidalwave s.a.s. (http://tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://solidblue.tidalwave.it
 * SCM: https://bitbucket.org/tidalwave/solidblue-src
 *
 **********************************************************************************************************************/
package it.tidalwave.integritychecker.archive;

import it.tidalwave.integritychecker.archive.ScannedFile;
import it.tidalwave.integritychecker.archive.ScannedFile.Builder;
import java.nio.file.Path;
import javax.annotation.Nonnull;
import org.joda.time.DateTime;
import static org.testng.Assert.*;
import org.testng.annotations.AfterClass;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;
import static org.hamcrest.MatcherAssert.*;
import static org.hamcrest.CoreMatchers.*;

/**
 *
 * @author fritz
 */
public class ScannedFileTest 
  {
    @Test
    public void testBuilder (final @Nonnull Path path, final @Nonnull String signature, final @Nonnull DateTime scanDateTime) 
      {
        final Builder fixture = new ScannedFile.Builder().withFile(path)    
                                                         .withSignature(signature)
                                                         .withScanDateTime(scanDateTime);
        final ScannedFile scannedFile = fixture.build();
        
        assertThat(scannedFile.getFile(), sameInstance(path));
        assertThat(scannedFile.getSignature(), sameInstance(signature));
        assertThat(scannedFile.getScanDateTime(), sameInstance(scanDateTime));
      }
  }  
